Update Asset
curl --request PATCH \
--url https://api.topsort.com/public/v1/assets/asset/{asset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"productIds": [
"<string>"
],
"brands": [
"<string>"
],
"metadata": {}
}
'import requests
url = "https://api.topsort.com/public/v1/assets/asset/{asset_id}"
payload = {
"name": "<string>",
"productIds": ["<string>"],
"brands": ["<string>"],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', productIds: ['<string>'], brands: ['<string>'], metadata: {}})
};
fetch('https://api.topsort.com/public/v1/assets/asset/{asset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"status": "pending_upload",
"productIds": [
"<string>"
],
"brands": [
"<string>"
],
"metadata": {},
"isExternal": true,
"mimetype": "<string>",
"url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Assets API
Update Asset
Updates an asset.
PATCH
/
public
/
v1
/
assets
/
asset
/
{asset_id}
Update Asset
Autorisierungen
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Pfadparameter
Asset ID.
Body
application/json
The name of the asset.
Maximum string length:
64Pattern:
^[^<>/\\]+$The product ids that the asset is associated with.
Maximum array length:
10Maximum string length:
64The brands that the asset is associated with.
Maximum array length:
10Maximum string length:
64The metadata associated with the asset.
Show child attributes
Show child attributes
Antwort
Successful Response
The id of the asset.
The name of the asset.
Approval status of the asset
Verfügbare Optionen:
pending_upload, pending_approval, upload_error, approved, rejected The product ids that the asset is associated with.
The brands that the asset is associated with.
The metadata associated with the asset.
Show child attributes
Show child attributes
Indicates if the asset is externally hosted.
The mimetype of the asset.
The url of the asset.
Required string length:
1 - 2083War diese Seite hilfreich?